Package: org.codehaus.groovy.classgen.asm.indy.sc

## [Java] Class IndyStaticTypesMultiTypeDispatcher

- org.codehaus.groovy.classgen.asm.indy.sc.IndyStaticTypesMultiTypeDispatcher

-     @Deprecated(since = "6.0.0")
      public class IndyStaticTypesMultiTypeDispatcher
      extends StaticTypesBinaryExpressionMultiTypeDispatcher

  Multi type dispatcher for binary expression backend combining indy and static compilation

  deprecated:
    Since 6.0.0, use StaticTypesBinaryExpressionMultiTypeDispatcher instead; indy array access is no longer used in static compilation.
  Since:
    2.5.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BinaryExpressionMultiTypeDispatcher` | `binExpWriter, typeMap, typeMapKeyNames`
    `class BinaryExpressionHelper` | `controller`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `IndyStaticTypesMultiTypeDispatcher(WriterController wc)` Creates a dispatcher that combines static compilation and indy array access.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected BinaryExpressionWriter[]` | `initializeDelegateHelpers()` * Creates the helper table used for primitive binary-expression dispatch. * * Returns: the helper table indexed by typeMap

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class StaticTypesBinaryExpressionMultiTypeDispatcher` | `assignToArray, evaluateBinaryExpressionWithAssignment, evaluateCompoundAssign, evaluateEqual, writePostOrPrefixMethod`
    `class BinaryExpressionMultiTypeDispatcher` | `assignToArray, doPrimitiveCompare, doPrimtiveCompare, evaluateBinaryExpression, evaluateBinaryExpressionWithAssignment, evaluateCompareExpression, evaluateCompoundAssign, getOperandType, initializeDelegateHelpers, writePostOrPrefixMethod`
    `class BinaryExpressionHelper` | `assignToArray, eval, evaluateArrayAssignmentWithOperator, evaluateBinaryExpression, evaluateBinaryExpressionWithAssignment, evaluateCompareExpression, evaluateCompoundAssign, evaluateElvisEqual, evaluateEqual, evaluatePostfixMethod, evaluatePrefixMethod, evaluateTernary, getController, getIsCaseMethod, writePostOrPrefixMethod`

- - ### Constructor Detail

    - #### public IndyStaticTypesMultiTypeDispatcher(WriterController wc)

      Creates a dispatcher that combines static compilation and indy array access.

  - ### Method Detail

    - #### protected BinaryExpressionWriter[] initializeDelegateHelpers()

      * Creates the helper table used for primitive binary-expression dispatch. * *

      Returns:
        the helper table indexed by typeMap